Patch the version and git commit into the scripts so that we don't need
to check out a git clone.
--- buildscript/build.go.orig	2023-08-07 15:40:33.000000000 -0500
+++ buildscript/build.go	2023-08-10 00:37:56.000000000 -0500
@@ -12,7 +12,6 @@
 
 	"golang.org/x/mod/semver"
 
-	"github.com/craiggwilson/goke/pkg/git"
 	"github.com/craiggwilson/goke/pkg/sh"
 	"github.com/craiggwilson/goke/task"
 	"github.com/mongodb/mongo-tools/common/testtype"
@@ -203,7 +202,7 @@
 		return "", fmt.Errorf("failed to get current version: %w", err)
 	}
 
-	gitCommit, err := git.SHA1(ctx)
+	gitCommit, err := "@GIT_COMMIT@", error(nil)
 	if err != nil {
 		return "", fmt.Errorf("failed to get git commit hash: %w", err)
 	}
--- release/version/version.go.orig	2023-12-06 14:54:46.000000000 -0600
+++ release/version/version.go	2024-01-03 23:49:20.000000000 -0600
@@ -61,12 +61,12 @@
 }
 
 func GetCurrent() (Version, error) {
-	commit, err := git("rev-parse", "HEAD")
+	commit, err := "@GIT_COMMIT@", error(nil)
 	if err != nil {
 		return Version{}, fmt.Errorf("git rev-parse HEAD failed: %w", err)
 	}
 
-	desc, err := git("describe", "--dirty")
+	desc, err := "@VERSION@", error(nil)
 	if err != nil {
 		return Version{}, fmt.Errorf("git describe --dirty failed: %w", err)
 	}
